/*reset css*/
html {
	font-size:16px;
	font-family: 'Poppins', 'sans-serif';
	font-weight: 400;
}
body, body * {
	margin:0;
	padding: 0; 
	display: block; 
	box-sizing: border-box;
}
/*import font*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

/*variables*/
:root {
	--primary-color:#3DA35D;
	--secondary-color:#54BF64;
	--text-color:#132A13;
	--main-font:'Poppins', 'sans-serif';
}
/*main css*/
/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
	display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
	-ms-overflow-style: none;  /* IE and Edge */
	scrollbar-width: none;  /* Firefox */
}
body {
	overflow-x:hidden;
}
img {
	max-width: 100%;
}
li, p {
	font-size: 1.125rem;
	font-weight: 400; 
	line-height: 100%;
}
p {
	color:#132A13;
}
h3, .project-text a, a {
	color: var(--primary-color);
	text-decoration: none;
}
/* Mobile First Build */
header {
	z-index:10;
	width:100%;
	position: fixed;
	display: flex; 
	flex-wrap:wrap;
	align-content: center; 
	justify-content: center;
	padding:1em;
}
header li {
	position: relative;
	color:#fff;
	text-decoration: none;
	cursor: pointer;
}
header nav {
	display: none; 
}
header li::before {
	z-index: -1;
	position: absolute;
	background-color: #3DA35D;
	content:'';
	width:0;
	height: 5px;
	bottom:-2px;
	left:-2px;
	transition: width 275ms ease;
}
header li:hover::before {
	background-color:#54BF64; 
	width:50%;
	transition: width 275ms ease;
}
.activeList::before {
	width:90%;
	transition: width 275ms ease;
}
header .logo {
	width: 40px;
	position: relative;
	cursor: pointer;
}
.logo img {
	position: absolute;
}
.green-logo {
	opacity: 0;
}
main {
	width: 100%;
	position: relative;
}
.intro {
	position: absolute;
	width: 100%;
	height: 100vh;
	left: 0;
	top:0;
	z-index: 5;
	overflow:hidden;
	background-color: white;
	display: flex; 
	align-items: center; 
	justify-content: center;
}
.intro span{
	display: inline-block;
	color: var(--primary-color);
	font-weight: 600;
}
.intro p {
	font-size: 2rem;
	font-weight: 400;
}
.grad {
	position: absolute;
	z-index: 0; 
	width:100%;
	height: 200vh;	
	overflow: hidden;
	background: linear-gradient(-65deg, #3DA45D 0%, #62F86C 100%);
	background-size: 400% 400%;
	animation:gradient 8s ease infinite;
}
@keyframes gradient {
	0% {
		background-position: 50% 80%;
	}
	50% {
		background-position: 100% 100%;
	}
	100% {
		background-position: 50% 80%;
	}
}

.section {
	position: relative;
	padding: 1.5rem;
	display: grid; 
	grid-template-columns: repeat(12, 1fr);
	align-content: center;
}
.section:first-child {
	min-height: 100vh;
}
.section {
	min-height: 70vh;
}
.section#contact {
	min-height: 50vh;
}
.content {
	grid-column: 1 / 13;
}
#home {
	margin-bottom:100px;
}
#home-content h1 {
	font-size:15vw;
	line-height: 95%;
	font-weight: 700;
	margin-bottom:.5rem;
	color: #fff;
}
#home-content h2 {
	font-size:5vw;
	line-height: 100%;
	font-weight: 600;
	color:#fff;
}
.scroll-lime {
	transform:translate(50%,0);
	z-index: 6;
	position: absolute;
	bottom:-4.6rem;
	right: 50%;
}
.scroll-lime img {
	max-width: 150px;
	filter: drop-shadow(10px 10px 40px #21593340);
	animation: rotate 5s linear infinite;
}
@keyframes rotate {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(720deg);
	}
}
#about-content {
	display: flex; 
	flex-flow:row wrap;
	gap: 1rem;
	max-width: 1000px;
}
#about-text {
	margin: 6rem 0 2rem 0;
}
#about-text h3 {
	font-size: 2rem;
	line-height: 110%;
	margin-bottom: .4rem;
}
#about-content div {
	flex-grow: 1;
}
#about-content p {
	line-height: 150%;
	max-width: 40ch;
}
#about-content img {
	width:100%;
	max-width: 300px;
	filter: drop-shadow(10px 20px 40px #21593340);
}
#projects-content {
	position: relative;
	display: flex; 
	flex-flow: column nowrap;
	gap:4rem;
	max-width: 1000px;

}
.project-text {
	display: inline-block;
	z-index: 2;
	position: relative;
	
}
.project-logo {
	z-index: 1;
	position: absolute;
	right:0%;
	top:50%;
	transform: translate(0,-50%);
}
.project-logo {
	box-shadow: 0 0px 25px 1px #132a1302;
}
.project-text a {
	font-weight: 700;
	font-size: 2.125rem;
	line-height: 95%;
	margin-bottom: .5rem;
}
.project-text span {
	color: white;
	-webkit-text-stroke-width: 1px;
	-webkit-text-stroke-color: var(--primary-color);
}
.project-text span::before {
	position: absolute;
	content: attr(data-content);
	color:var(--primary-color);
	clip-path: polygon(0 0, 0 0, 0% 100%, 0 100%);
	transition: clip-path 275ms ease;
}
.project-text:hover span::before {
	clip-path: polygon(0 0, 100% 0, 100% 150%, 0 150%);
}
.hover-text span::before {
	clip-path: polygon(0 0, 100% 0, 100% 150%, 0 150%);
}
.project-logo {
	opacity: 0; 
	transition: opacity 600ms ease;
}
.project-logo img {
	width:400px;
	box-shadow: inset 0 0 90px #21593310, 0 0 90px #21593310;
}
.show {
	opacity: .8; 
}
#projects-content span {
	display: inline-block;
}
#contact {
	align-content: space-between;

}
#contact-content {
	margin-top: 6rem;
}
#contact-content h3 {
	font-size: 2rem;
	line-height: 95%;
	margin-bottom:.4rem;
}
#contact-content p{
	width:100%;
	word-wrap: break-word;
	overflow-wrap: break-word;
}
#contact-content a {
	display: inline;
}
footer, footer ul {
	display: flex; 
	flex-flow: row wrap;
	align-items: center;
}
footer {
	height: 150px;
	justify-content: space-between;
	margin: 0 1rem;
	padding: 2rem 1rem;
	gap:1rem;
	border-top: solid 1px #21593330;
}
footer ul {
	gap:1rem;
}
@media only screen and (min-width: 600px) {
	header {
		justify-content: space-between;
		padding: 2rem 5rem;
	}
	header nav {
		display: flex; 
		flex-wrap: wrap;
		align-content: center;
	}
	header ul {
		display: flex; 
		flex-wrap: wrap; 
		align-content: center;
		gap: 1rem;
	}
	.section {
		padding: 0 5rem;
	}
	.content {
		grid-column: 2 /12;
	}
	#home-content h1 {
		font-size:7vw;
	}
	#home-content h2 {
		font-size: 2.7vw;
	}
	.scroll-lime {
		right:20%;
	}
	#about-text {
		display: flex; 
		flex-flow: column wrap; 
		align-content: start;
		justify-content: center;
		margin: 0;
		width:60%;
		min-width:550px;
	}
	#about-text h3 {
		font-size: 2rem;
		font-weight: 700;
	}
	#about-text p {
		font-weight: 400;
		max-width: 49ch;
	}
	#about-img {
		width: 20%;
		min-width:300px;
	}
	#projects-content {
		gap:2rem;
	}
	.project-text:hover + .project-logo {
		opacity: 1;
	}
	.project-logo {
		right:-10%;
	}
	.project-text a {
		font-size: 2.7rem;
	}
	.project-text p {
		opacity: 0;
		position: relative;
		left:-20px;
		transition: opacity 400ms ease 100ms, left 500ms ease; 
	}
	.project-text:hover p {
		opacity: 1; 
		left:0%;
	}
	footer {
		margin: 0 3.5rem;
	}

}